# Location

Stores the file name and line number of a XML file

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id: feed38557f156bd1c61593a048f37c2e246faf87 $
package | phing.parser

### Methods

## Constructs the location consisting of a file name and line number

    __construct( $fileName = null,  $lineNumber = null,  $columnNumber = null)

### Arguments

#### $fileName

``

#### $lineNumber

``

#### $columnNumber

``

## __toString

    __toString() : string

### Response

`string`

## Returns the file name, line number and a trailing space.

    toString() : string

An error message can be appended easily. For unknown locations, returns empty string.

### Response

`string`

the string representation of this Location object

### Properties

## fileName

    fileName :

### Type(s)

``

## lineNumber

    lineNumber :

### Type(s)

``

## columnNumber

    columnNumber :

### Type(s)

``